<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Progress_Bar_DataType StructType
 * Meta information extracted from the WSDL
 * - documentation: Enter a Hex number with a length of 3 or 6 characters ranging between: 0-9, a-f, A-F. | Element container for the progress bar of brand.
 * @subpackage Structs
 */
class Progress_Bar_DataType extends AbstractStructBase
{
    /**
     * The Color
     * Meta information extracted from the WSDL
     * - documentation: Color for progress bar of brand.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Color;
    /**
     * Constructor method for Progress_Bar_DataType
     * @uses Progress_Bar_DataType::setColor()
     * @param string $color
     */
    public function __construct($color = null)
    {
        $this
            ->setColor($color);
    }
    /**
     * Get Color value
     * @return string|null
     */
    public function getColor()
    {
        return $this->Color;
    }
    /**
     * Set Color value
     * @param string $color
     * @return \StructType\Progress_Bar_DataType
     */
    public function setColor($color = null)
    {
        // validation for constraint: string
        if (!is_null($color) && !is_string($color)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($color, true), gettype($color)), __LINE__);
        }
        $this->Color = $color;
        return $this;
    }
}
